﻿using InABox.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.Poster.MYOB;

public interface IMYOBPoster<TPostable> : IPoster<TPostable, MYOBPosterSettings>, IGlobalSettingsPoster<MYOBGlobalPosterSettings>
    where TPostable : Entity, IPostable, IRemotable, IPersistent, new()
{
    public MYOBConnectionData ConnectionData { get; set; }

    IPostResult<TPostable> Process(IDataModel<TPostable> model);
}
