using System.Collections.Generic;
using InABox.Core;
using InABox.DynamicGrid;

namespace InABox.Wpf;

public interface IMasterDetailPage<TMaster>
{
    DynamicTabItem Tab { get; set; }

    Dictionary<string, object[]>? Selected();

    IDataModelSource Refresh(TMaster? entity);

    IDataModelSource DataModelSource();
    
    TMaster? Master { get; set; }
}